# Update Profiles API token (legacy)

Update a Profiles API token.    *This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative.*

Endpoint: PUT /audiences/{audienceId}/tokens/{tokenId}
Version: 1.0.0
Security: TdApikeyAuth

## Security:

  - `TdApikeyAuth` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `audienceId` (integer, required)
    Master Segment ID of the token

  - `tokenId` (integer, required)
    ID of Token to return

## Request fields (application/json):

  - `description` (string)
    description
    Example: description

  - `token` (string)
    UUID of the token

  - `keyColumn` (string, required)
    A key column name to fetch the information of a customer.
    Example: td_client_id

  - `segments` (array)
    associated segments
    Example: [{"id":1234}]

  - `segments.id` (integer)

  - `attributeColumns` (array, required)
    associated attribute column names. Max the number of attribute columns is 5. You must specify empty array if you don't need attributes.
    Example: ["gender","country"]

## Response 200:

  - `200` (unknown)
    successful operation

## Response 200 fields (application/json):

  - `id` (string)

  - `audienceId` (string)

  - `token` (string)
    UUID of the token

  - `description` (string)

  - `keyColumn` (string)
    A key column name to fetch the information of a customer.
    Example: td_client_id

  - `segments` (array)
    associated segments

  - `segments.id` (integer)

  - `segments.name` (string)

  - `segments.realtime` (boolean)
    use `kind` instead

  - `segments.kind` (integer)
    0: batch, 1: realtime, 2: funnel_stage

  - `segments.description` (string)

  - `segments.segmentFolderId` (integer)

  - `segments.population` (integer)
    The population of the segment

  - `attributeColumns` (array)
    associated attribute column names.
    Example: ["gender","country"]

  - `v2` (boolean)
    whether the token is v2 or not
    Example: true

  - `createdAt` (string)

  - `updatedAt` (string)

  - `createdBy` (object)

  - `createdBy.id` (string)

  - `createdBy.td_user_id` (string)

  - `createdBy.name` (string)

## Response 400:

  - `400` (unknown)
    Given parameters are not valid

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized; You don't provide valid credentials. Maybe you didn't specify valid TD's Master API Key as 'TD1 {Your TD Master API Key}'.

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403:

  - `403` (unknown)
    Requested resource or action is not allowed because you don't have sufficient permissions

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404:

  - `404` (unknown)
    The specified resource was not found

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX:

  - `4XX` (unknown)
    There is a high possibility of error of the authentication system. Please check the contents and authority of the key. Please contact the TD support team if you do not resolve it.

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX:

  - `5XX` (unknown)
    System error. Because there is a possibility of a temporary error due to network trouble and so on, we recommend several times retry on request side. Please contact the TD support team if you do not resolve it.

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

